{
  config,
  lib,
  pkgs,
  ...
}: {
  fonts.fontconfig = {
    enable = true;
    defaultFonts = {
      monospace = [
        "JetBrains Mono"
        "Noto Sans Mono CJK SC"
        "Noto Sans Mono"
        "Noto Color Emoji"
      ];
      sansSerif = [
        "Noto Sans"
        "Noto Sans CJK SC"
        "Noto Color Emoji"
      ];
      serif = [
        "Noto Serif"
        "Noto Serif CJK SC"
        "Noto Color Emoji"
      ];
      emoji = ["Noto Color Emoji"];
    };
  };

  # this is probably not necessary since they are already installed in sys
  # with fonts.packages buy im too lazy to check
  home.packages = with pkgs; [
    jetbrains-mono
    noto-fonts
    noto-fonts-cjk-sans
    noto-fonts-emoji
    noto-fonts-extra
    nerd-fonts.fira-code
    nerd-fonts.droid-sans-mono
  ];
}
